gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Layout.HBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A horizontal container box

Synopsis

- data HBox
- class BoxClass o => HBoxClass o
- castToHBox :: GObjectClass obj => obj -> HBox
- gTypeHBox :: GType
- toHBox :: HBoxClass o => o -> HBox
- hBoxNew :: Bool -> Int -> IO HBox

# Detail

`HBox` is a container that organizes child widgets into a single row.

Use the `Box` packing interface to determine the arrangement, spacing, width, and alignment of `HBox` children.

All children are allocated the same height.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Box
     | +----HBox
     | +----Combo
     | +----FileChooserButton
     | +----Statusbar

# Types

data HBox

Instances

Eq HBox |
Ord HBox |
GObjectClass HBox |
HBoxClass HBox |
BoxClass HBox |
ContainerClass HBox |
WidgetClass HBox |
ObjectClass HBox |

class BoxClass o => HBoxClass o

Instances

HBoxClass Statusbar |
HBoxClass FileChooserButton |
HBoxClass Combo |
HBoxClass InfoBar |
HBoxClass HBox |

castToHBox :: GObjectClass obj => obj -> HBox

gTypeHBox :: GType

toHBox :: HBoxClass o => o -> HBox

# Constructors

hBoxNew

Arguments

:: Bool | `homogeneous` - `True` if all children are to be given equal space allotments.
-> Int | `spacing` - the number of pixels to place by default between children.
-> IO HBox |

Creates a new `HBox`.